# Uses of Class
javax.xml.crypto.MarshalException

Packages that use MarshalException
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of MarshalException in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that throw MarshalException
Modifier and Type
Method
Description
`abstract void`
TransformService.`marshalParams(XMLStructure parent, XMLCryptoContext context)`
Marshals the algorithm-specific parameters.
`void`
XMLSignature.`sign(XMLSignContext signContext)`
Signs this `XMLSignature`.
`abstract XMLSignature`
XMLSignatureFactory.`unmarshalXMLSignature(XMLValidateContext context)`
Unmarshals a new `XMLSignature` instance from a mechanism-specific `XMLValidateContext` instance.
`abstract XMLSignature`
XMLSignatureFactory.`unmarshalXMLSignature(XMLStructure xmlStructure)`
Unmarshals a new `XMLSignature` instance from a mechanism-specific `XMLStructure` instance.

## Uses of MarshalException in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that throw MarshalException
Modifier and Type
Method
Description
`void`
KeyInfo.`marshal(XMLStructure parent, XMLCryptoContext context)`
Marshals the key info to XML.
`abstract KeyInfo`
KeyInfoFactory.`unmarshalKeyInfo(XMLStructure xmlStructure)`
Unmarshals a new `KeyInfo` instance from a mechanism-specific `XMLStructure` (ex: `DOMStructure`) instance.